Change the stream overlay
POST/v1/streams/{streamSettingsId}/overlay/change
POST
/v1/streams/{streamSettingsId}/overlay/change
const url = 'https://api.ligr.live/rest/v1/streams/1/overlay/change';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"overlayId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.ligr.live/rest/v1/streams/1/overlay/change \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "overlayId": 1 }'Change which overlay is linked to a stream, or unlink the current overlay.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”streamSettingsId
required
Entity identifier
integer format: int32
The stream settings identifier
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
overlayId
required
integer format: int32
Examplegenerated
{ "overlayId": 1}Responses
Section titled “Responses”Ok
Media typeapplication/json
object
success
required
boolean
Examplegenerated
{ "success": true}Request is invalid
Media typeapplication/json
object
message
required
string
details
required
object
key
additional properties
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Stream not found
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Api key has made too many requests
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}